class php::fpm (
  $ensure              = present,
  $display_errors      = 'Off',
  $post_max_size       = '10m',
  $upload_max_filesize = '10M',
  $timezone            = 'UTC',) {
  include apt

  class { "php::fpm::install": } ->
  ini_setting { "expose_php off":
    ensure  => present,
    path    => '/etc/php5/fpm/php.ini',
    section => 'PHP',
    setting => 'expose_php',
    value   => 'Off',
    require => Package["php5-fpm"],
    notify  => Class["php::fpm::service"],
  }

  ini_setting { "display_errors":
    ensure  => present,
    path    => '/etc/php5/fpm/php.ini',
    section => 'PHP',
    setting => 'display_errors',
    value   => $display_errors,
    require => Package["php5-fpm"],
    notify  => Class["php::fpm::service"],
  }

  ini_setting { "timezone":
    ensure  => present,
    path    => '/etc/php5/fpm/php.ini',
    section => 'Date',
    setting => 'date.timezone',
    value   => $timezone,
    require => Package["php5-fpm"],
    notify  => Class["php::fpm::service"],
  }

  file { "default-pool":
    path   => "/etc/php5/fpm/pool.d/www.conf",
    ensure => absent,
    notify => Class["php::fpm::service"],
  }
}
